summaryrefslogtreecommitdiffstats
path: root/Modules/Squish4RunTestCase.sh
diff options
context:
space:
mode:
authorFrederik Gladhorn <gladhorn@kde.org>2020-05-19 09:44:05 (GMT)
committerFrederik Gladhorn <gladhorn@kde.org>2020-05-19 09:47:19 (GMT)
commit8492ac1363c264a87532f7ee9890be5e22b57b82 (patch)
tree23a519a0626ce86ac90ee512197f9c4a483ea883 /Modules/Squish4RunTestCase.sh
parentcc79253fa4966ee11d0a7a086b82f75b93a6c569 (diff)
downloadCMake-8492ac1363c264a87532f7ee9890be5e22b57b82.zip
CMake-8492ac1363c264a87532f7ee9890be5e22b57b82.tar.gz
CMake-8492ac1363c264a87532f7ee9890be5e22b57b82.tar.bz2
FindSquish: Remove settingsGroup argument
This argument never worked and was not passed on Windows, which is why the Windows version needs fewer fixups (and used to work independent of this change). On Linux (and macOS) it was passed and prevented the server from starting and the test would not be able to run. See also comments on https://gitlab.kitware.com/cmake/cmake/-/merge_requests/4648
Diffstat (limited to 'Modules/Squish4RunTestCase.sh')
-rwxr-xr-xModules/Squish4RunTestCase.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/Modules/Squish4RunTestCase.sh b/Modules/Squish4RunTestCase.sh
index 39a3907..4d1e382 100755
--- a/Modules/Squish4RunTestCase.sh
+++ b/Modules/Squish4RunTestCase.sh
@@ -6,20 +6,19 @@ TESTSUITE=$3
TESTCASE=$4
AUT=$5
AUTDIR=$6
-SETTINGSGROUP=$7
$SQUISHSERVER --stop > /dev/null 2>&1
-echo "Adding AUT... $SQUISHSERVER --settingsGroup $SETTINGSGROUP --config addAUT $AUT $AUTDIR"
-$SQUISHSERVER --settingsGroup "$SETTINGSGROUP" --config addAUT "$AUT" "$AUTDIR" || exit 255
+echo "Adding AUT... $SQUISHSERVER --config addAUT $AUT $AUTDIR"
+$SQUISHSERVER --config addAUT "$AUT" "$AUTDIR" || exit 255
# sleep 1
echo "Starting the squish server... $SQUISHSERVER --daemon"
$SQUISHSERVER --daemon || exit 255
# sleep 2
-echo "Running the test case...$SQUISHRUNNER --settingsGroup $SETTINGSGROUP --testsuite $TESTSUITE --testcase $TESTCASE"
-$SQUISHRUNNER --settingsGroup "$SETTINGSGROUP" --testsuite "$TESTSUITE" --testcase "$TESTCASE"
+echo "Running the test case... $SQUISHRUNNER --testsuite $TESTSUITE --testcase $TESTCASE"
+$SQUISHRUNNER --testsuite "$TESTSUITE" --testcase "$TESTCASE"
returnValue=$?
echo "Stopping the squish server... $SQUISHSERVER --stop"